Como instalar paquetes mas recientes?

Conversaciones generales alrededor Sabayon Linux

Moderator: Moderators

Post Reply
maxid
Baby Hen
Posts: 4
Joined: Wed Oct 19, 2011 7:19

Como instalar paquetes mas recientes?

Post by maxid » Thu Oct 20, 2011 4:58

    hola, soy nuevo por qui en sabayon, me encuentro algo perdido con respecto a como instalar paquetes si usar sulfur o emerge equo.
    Pero tambien he visto que paquetes como lazarus estan en la version 0.9.28 cuando la .30 hace rato ya se encuentra disponible en la web, al igual que arduino van por la cersion .22 y en los repositorios de sabayon solo esta la .17.
    Mi pregunta es:, asi como estos paquetes estan algo viejos, ?hay forma de acceder a paquetes mas vigentes? existen otros repositorios para agregar como sucede en otras distros?

    chayclon
    Growing Hen
    Posts: 112
    Joined: Thu Apr 28, 2011 10:00
    Location: Santiago, Chile

    Re: Como instalar paquetes mas recientes?

    Post by chayclon » Sun Oct 23, 2011 1:52

    maxid wrote:
      hola, soy nuevo por qui en sabayon, me encuentro algo perdido con respecto a como instalar paquetes si usar sulfur o emerge equo.
      Pero tambien he visto que paquetes como lazarus estan en la version 0.9.28 cuando la .30 hace rato ya se encuentra disponible en la web, al igual que arduino van por la cersion .22 y en los repositorios de sabayon solo esta la .17.
      Mi pregunta es:, asi como estos paquetes estan algo viejos, ?hay forma de acceder a paquetes mas vigentes? existen otros repositorios para agregar como sucede en otras distros?
      Yo ocupo sulfur solamente y ningún problema
      también creo que algunos paquetes están con alguna versión antigua para favorecer al usuario como lo es cedega o solamente tienen muchos bug y son inestables para sabayon
      creo

      Slds

      maxid
      Baby Hen
      Posts: 4
      Joined: Wed Oct 19, 2011 7:19

      Re: Como instalar paquetes mas recientes?

      Post by maxid » Sun Oct 23, 2011 3:34

      Entiendo que haya paquetes mas nuevos e inestables y que pase tiempo para ser probados Debian hace eso incluso por varios anos. Pero en lazarus de la 28 a la 30 hubo muchas mejoras incluso agregado de funcionalidades. X eso pregunto como ir a un repositorio mas al dia y no esperar a que algui considere que es estable.
      En arch existe aur que permite usar paquetes ultranuevos pero de usuarios verificados, no cualquiera sube cosas a aur. Por dar un ejemplo

      DHalens
      Old Dear Hen
      Posts: 933
      Joined: Thu Apr 10, 2008 23:08
      Location: Canary Islands, Spain

      Re: Como instalar paquetes mas recientes?

      Post by DHalens » Sun Oct 23, 2011 16:54

      El repositorio sabayon-limbo debería de estar comentado en /etc/entropy/repositories.conf y tiene paquetes más nuevos.
      Pero es el repositorio que se usa para hacer pruebas y puede romper cualquier cosa del sistema.

      De todas formas, lazarus no ha sido actualizado en gentoo y sabayon sólo actualiza paquetes por su cuenta cuando son cosas casi exclusivas de la distro o paquetes que los desarrolladores consideran claves para el avance y la visión de cómo debe ser la distro.
      En el caso de otros paquetes, se puede usar portage para instalarlos. Hay una entrada en la wiki acerca de cómo usar entropy y portage sin que resulte en problemas para el sistema.
      Former Sabayon staff (retired).
      For any personal questions or whatever, contact me trough my G+ profile

      maxid
      Baby Hen
      Posts: 4
      Joined: Wed Oct 19, 2011 7:19

      Re: Como instalar paquetes mas recientes?

      Post by maxid » Sun Oct 23, 2011 18:41

      Ya lo tenia instalados a ese repo pero igual no esta actualizado. La verdad que anda muy lindo sabayon pero la paqueteria no es tan reciente como dice el la pagina. Igual ya lo quite y volvi a suse que es bien estable incluso con paquetes de otros.

      upszot
      Baby Hen
      Posts: 11
      Joined: Wed Aug 10, 2011 1:46

      Re: Como instalar paquetes mas recientes?

      Post by upszot » Thu Nov 03, 2011 20:56

      maxid wrote:Ya lo tenia instalados a ese repo pero igual no esta actualizado. La verdad que anda muy lindo sabayon pero la paqueteria no es tan reciente como dice el la pagina. Igual ya lo quite y volvi a suse que es bien estable incluso con paquetes de otros.
      Hola... soy nuevo en el mundo de sabayon... pero vengo hace unos años usando gentoo...
      dado que sabayon es una distribucion basada en gentoo, creo que puedo darte una mano con esto...

      Es cierto que el paquete que buscas esta en la version 0.9.28 en el arbol de portage..
      pero siempre hay formas de instalar los ultimos paquetes... no te olvides que al estar basado en gentoo (y como todo linux) uno puede recurrir a las fuentes para instalar un paquete... en gentoo / sabayon esto se ve facilitado por el uso de "emerge"
      de todas formas siempre se puede agregar un overlay donde se encuentre el paquete deceado...
      y en el caso de que no exista dicho overlay siempre se puede crear uno propio e instalar desde ahi..

      te recomiendo la siguiente lectura...

      * Agregar overlays, crear tu propio overlay, e instalar desde ellos:
      http://www.gentoo.org/proj/es/overlays/userguide.xml
      http://casidiablo.net/anadir-ebuilds-gentoo/
      http://wiki.sabayon.org/index.php?title ... .26_layman

      * Crear tus propios ebuils
      http://devmanual.gentoo.org/quickstart/index.html
      http://en.gentoo-wiki.com/wiki/Writing_Ebuilds
      http://es.gentoo-wiki.com/wiki/HOWTO_In ... ds_de_3ros
      http://forums.gentoo.org/viewtopic-t-59 ... art-0.html

      PD:
      Aca tenes un overlay donde tienen el paquete "lazarus" actualizado (la 999) es la de desarrollo...
      http://gpo.zugaina.org/dev-lang/lazarus/ChangeLog
      para agregarlo simplemente tenes q hacer un ...
      layman -a zugaina
      sincronizar y listo...
      si no te figura la ultima version del paquete .. tenes que desmaskearlo agregandolo en el archivo "/etc/portage/package.keywords" o "/etc/portage/package.unmask " dependiendo de que tipo de maskeo tenga...
      ... mirate esto...
      http://forums.gentoo.org/viewtopic-t-87 ... art-0.html
      que me paso para instalar una version nueva de "screen"..


      Espero que vuelvas al mundo de gentoo/sabayon, ya que el nivel de personalizacion es maximo y los paquetes los podes tener en la ultima version sin problemas...

      Saludos y suerte..

      maxid
      Baby Hen
      Posts: 4
      Joined: Wed Oct 19, 2011 7:19

      Re: Como instalar paquetes mas recientes?

      Post by maxid » Thu Nov 03, 2011 21:30

      Upszot, gracias por tu respuesta e interesarte. He probado varias distros en las cuales he tenido que leer y configurar mucho a mano como Arch, y aca no me resulta nada facil y me senti algo perdido con tantos gestores de paquetes, no estoy preparado aun para estas distros, no la descarto, porque sino en todos los foros y twiter no recomendarian a esta distro como las mejores y mas usadas.
      No voy a descartarlas sino aprender mas para entender mejor

      upszot
      Baby Hen
      Posts: 11
      Joined: Wed Aug 10, 2011 1:46

      Re: Como instalar paquetes mas recientes?

      Post by upszot » Fri Nov 04, 2011 2:46

      maxid.
      mira, puedo hablar por mi experiencia propia...

      como te conte arriba yo vengo de gentoo y ahora estaba instalando sabayon en la pc de mis viejos por un tema de practicidad... (actualmente tienen ubuntu, pero me resultaria mas practico algo parecido a lo q yo tengo para realizar el mantenimiento de los equipos) y me decidi por sabayon por el siemple echo de tener una distro basada en gentoo instalada en pocos minutos...

      lo que comentas de varios gestores de paquetes y demas... es cierto... yo no me acostumbro mucho a sabayon todavia... (estoy acostumbrado a crear archivos de configuracion de 0 y compilar todo el sistema y tener control total de todo lo que hay en la pc).. y al tener configuraciones ya realizadas , es mas facil mariarse...(aunque de a poco las voy leyendo y modificando a mi antojo... un claro ejemplo de esto, es quitar el soporte para varios idiomas que no uso en /etc/macke.conf )

      mi consejo seria, que pruebes de instalar un gentoo... (ahi vas a aprender muchisimo) y una vez que ya sepas como es la onda, se te va a hacer mas facil con sabayon...
      si me decis que usaste Arch, no creo q tengas problemas con gentoo... yo leo mucho la wiky de arch para configurar cosas en gentoo...

      Siguiendo el handbook no deberias de tener problemas para instalar y configurar un gentoo...
      y por supuesto que esto se extrapola a la configuracion de sabayon (ya que el mismo esta basado en gentoo)
      http://www.gentoo.org/doc/es/handbook/simplemente elegi la arquitectura que tengas y listo...

      recorda que en caso de querer compilar en 64bit (independientemente si tenes intel o amd) la arquitectura es amd64
      http://www.gentoo.org/doc/es/handbook/h ... xml?full=1

      y para 32bit x86 http://www.gentoo.org/doc/es/handbook/h ... xml?full=1


      Saludos

      Post Reply